パスワードを忘れた? アカウント作成
2317594 journal
PHP

martianの日記: PHP5.4 と PukiWiki 8

日記 by martian

ローカルで立てていた 人柱サーバーに入っていた PukiWikiが動かなくなりました。
Debian-wheezy なやつで見てみると 5.4.0-2 です。 ああ ついに来たかあと
対策に乗り出した。
1)まず hex2bin がぶつかっているやつを対処 (/lib/func.php)
2)次に new の返り値のキャストの変更 &new => new (lib/convert_html.php,link.php,init.php)
3)返り値が参照値の関数で newの返り値を返している部分の 変更  return &new HogeHoge; -> $ret=new Hogehoge; retrurn $ret; (convert_html.php)
4)date()がタイムゾーン設定してないぞというやつの対処 date_default_timezone_set('Asia/Tokyo'); を lib/init.php の最初に入れた
とりあえず 動くようになったけど 参照渡しのあたりや継承したクラスの親クラスとの不整合など けっこうワーニングを吐いている。ちゃんと書き直さないとだめかなあ?
HTML5のこともあるので 時間を取って対応してみるかなあ?

この議論は賞味期限が切れたので、アーカイブ化されています。 新たにコメントを付けることはできません。
  • by harisen (27285) on 2012年03月28日 18時28分 (#2125577) 日記

    http://pyukiwiki.osdn.jp/ [osdn.jp]
    使ってます。

    pukiwikiからの派生でperlで書かれてます。

    PHPやrubyのような「言語のバージョン上がったんで動かないから。」ってのは
    perlなので、とりあえずありません。
    (いいのか悪いのかわかりませんが)

    • by Anonymous Coward

      Perl6でも動く?

      • by Anonymous Coward

        Perlはバージョン上がっても旧バージョンもそのまま動かしとくのが一般的だから、と言うニュアンスじゃないかなぁ?
        「Perl 5は入ってるけど4は無い」とか「Perl 6だけ入ってて4と5は入れてない」と言うサーバ環境は見た事無いです。
        (PHPは旧バージョン生かしとく事は稀ですよね。)

        違ったらゴメンナサイ。

        自分もpukiwiki使ってて、この日記拝見してちょっと不安になったんで、後で確認してみよう。

        • by harisen (27285) on 2012年03月29日 10時08分 (#2125949) 日記

          えっとperlは5レベルで書いてるので
          (ほかの言語がメインになっちゃったので)
          perl6は入れてないですね

          今確認しましたけど
          CentOS6でyumで入れてそのままなので、5.10.1が入っているようです。

          perl6をソースから入れて動かなかったら悲しいから
          暇なときにVMでテストしてみます

          親コメント
          • by Anonymous Coward

            元ACですが、ただの茶々なのでまったりと確認ください。
            Perl6は5系統との互換性を捨てているわけですし、動いたらすごいけど、
            それはPerlがというよりかは、作者の方がすごいという事になりますねえ。

  • もう止まっているんでしょうかね。
    PukiWiki 1.4.7_notb: 2006/10/21 再リリース (一部のファイルを除いたもの)
    PukiWiki 1.4.7: 2006/06/22 リリース告知
    PukiWiki 1.4.7: 2006/06/12 ファイルリリース (パッケージ公開停止)

    • by Anonymous Coward

      派生版はがんばってますよ

  • by Anonymous Coward on 2012年03月28日 16時54分 (#2125537)

    もう何年も、個人的な覚書などにHikiを使ってきたけど、そろそろ限界な感じがする
    今更EUC-JPしか使えないとかいう以前に、Ruby1.6系でしか動かない
    メンテナ交代でどうにかなるかと思ったら、未だにUTF-8移行すら終わらずモタついてる
    このまま行くと7月のRuby 1.6の寿命まで持ちそうにない

    そう思い、新年早々に代替えの国産Wikiエンジン探したけど、どれも皆おなじ
    仕方なくMediaWikiを使ってるけど、コレジャナイ感がヒシヒシと伝わってくる
    正直、MediaWikiみたいな重量級のWikiエンジンは好みじゃないというか・・・・・・
    最近はMediaWikiのWebインターフェース使うのが億劫になって、生テキストで書いてGit投げみたいな使い方になってたり…

    国産のWikiエンジンは、いわゆるひとり用Wikiみたいなアプリの好調を受けて、自然消滅したみたいだね

typodupeerror

長期的な見通しやビジョンはあえて持たないようにしてる -- Linus Torvalds

読み込み中...